| DocBook: The Definitive Guide 2.0.17 (Alpha)

# constraintdef

$Revision$

$Date$

constraintdef — The definition of a constraint in an EBNF production

## Synopsis

### Content Model

    constraintdef ::=
    (title,
     (calloutlist|glosslist|bibliolist|itemizedlist|orderedlist|
      segmentedlist|simplelist|variablelist|literallayout|
      programlisting|programlistingco|screen|screenco|screenshot|
      synopsis|cmdsynopsis|funcsynopsis|classsynopsis|fieldsynopsis|
      constructorsynopsis|destructorsynopsis|methodsynopsis|
      formalpara|para|simpara|address|blockquote|graphic|graphicco|
      mediaobject|mediaobjectco|informalequation|informalexample|
      informalfigure|informaltable|equation|example|figure|table|
      procedure|sidebar|anchor|bridgehead|remark|indexterm|beginpage))

### Attributes

Common attributes

## Description

This element is only available if you are using the EBNF Module.

A `ConstraintDef` contains a description of a constraint that cannot be expressed in the grammar (generally logical rather than syntactic constraints).

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain constraintdef: `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `chapter`, `glossary`, `glossdiv`, `index`, `listitem`, `msgexplan`, `msgtext`, `partintro`, `preface`, `procedure`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `simplesect`, `step`, `taskprerequisites`, `taskrelated`, `tasksummary`.

### Children

The following elements occur in constraintdef: `address`, `anchor`, `beginpage`, `bibliolist`, `blockquote`, `bridgehead`, `calloutlist`, `classsynopsis`, `cmdsynopsis`, `constructorsynopsis`, `destructorsynopsis`, `equation`, `example`, `fieldsynopsis`, `figure`, `formalpara`, `funcsynopsis`, `glosslist`, `graphic`, `graphicco`, `indexterm`, `informalequation`, `informalexample`, `informalfigure`, `informaltable`, `itemizedlist`, `literallayout`, `mediaobject`, `mediaobjectco`, `methodsynopsis`, `orderedlist`, `para`, `procedure`, `programlisting`, `programlistingco`, `remark`, `screen`, `screenco`, `screenshot`, `segmentedlist`, `sidebar`, `simpara`, `simplelist`, `synopsis`, `table`, `title`, `variablelist`.

## Examples

For examples, see `productionset`.

constraint |  | constructorsynopsis

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.